Bug 870186 - Agent loads Sigar with nonative flag activated
Agent loads Sigar with nonative flag activated
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.1
All All
unspecified Severity high
: ER01
: JON 3.2.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 869730
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 14:17 EDT by Charles Crouch
Modified: 2015-02-01 18:28 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 869730
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
agent_nonative (571.82 KB, image/png)
2013-10-29 06:13 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Charles Crouch 2012-10-25 14:17:43 EDT
+++ This bug was initially created as a clone of Bug #869730 +++

Description of problem:
Agent loads the Sigar library with nonative flag activated. This leads to errors agent startup failure in cases where the Sigar library is not compatible with the operating system.

How reproducible:
Every time

Steps to Reproduce:
1. Use a system that is not compatible with Sigar (eg. SUSE 10.1)
2. Run the agent with --nonative flag
3. Notice error
  
Actual results:
Failure to start with the following error:

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGFPE (0x8) at pc=0x00002b592b3d668f, pid=13696, tid=1074792768
#
# JRE version: 7.0_07-b10
# Java VM: Java HotSpot(TM) 64-Bit Server VM (23.3-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [ld-linux-x86-64.so.2+0x868f]  do_lookup_x+0xcf
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again

Expected results:
The agent starts without Sigar loaded

Additional info:
This issue has been observed on Suse 10.x 64bit. This version of Suse is running an older glibc library (2.4.x) that should be compatible with Sigar but it is throwing SIGPFE excetion at startup. 

The main problem is that --nonative flag is not working properly as it should have prevented the loading of Sigar jars completely.
Comment 1 Charles Crouch 2013-03-11 10:40:12 EDT
This is fixed in master, pushing to MODIFIED
Comment 2 Larry O'Leary 2013-09-06 10:31:11 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.
Comment 3 Armine Hovsepyan 2013-10-29 06:13:20 EDT
Created attachment 817037 [details]
agent_nonative
Comment 4 Armine Hovsepyan 2013-10-29 06:16:58 EDT
verified.
checked under Suse 11 (latest) and rhel 4 - no exceptions in agent.log, agent discovered and active in server gui.

Note You need to log in before you can comment on or make changes to this bug.